import { Component, OnInit, Input } from '@angular/core';
import { User } from '../models/user.model';

@Component({
  selector: 'app-user',
  templateUrl: './user.component.html',
  styleUrls: ['./user.component.sass'],
})
export class UserComponent implements OnInit {

  @Input('myUser') user: User;

  
  _userAge : number;
  @Input()
    set userAge(age: number) {
      if(age < 0) {
          this._userAge = 0;
      }
      else if(age > 100) {
        this._userAge = 100;
      }
      else {
        this._userAge = age;
      }
    }
    get userAge() {
      return this._userAge;
    }

  
  constructor() { }

  ngOnInit(): void {
  }

}
